Name:           parlatype
Version:        2.1
Release:        1%{?dist}
Summary:        GNOME audio player for transcription

License:        GPLv3+
URL:            http://gkarsay.github.io/parlatype/
Source0:        https://github.com/gkarsay/parlatype/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  appstream
BuildRequires:  appstream-devel
BuildRequires:  desktop-file-utils
BuildRequires:  glade-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  gtk3-devel >= 3.10.0
BuildRequires:  gtk-doc
BuildRequires:  intltool >= 0.50.2
BuildRequires:  itstool
BuildRequires:  libappstream-glib-devel
BuildRequires:  libtool
BuildRequires:  libxml2
BuildRequires:  meson >= 0.47.2
BuildRequires:  yelp-tools

Requires:       gstreamer1-plugins-good%{?_isa}

%description
Parlatype is a minimal audio player for manual speech transcription,
written for the GNOME desktop environment. It plays audio sources to
transcribe them in your favorite text application.


%package        libs
Summary:        Libraries for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    libs
The %{name}-libs package contains the shared library files.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%meson -Dasr=false
%meson -Dglade=true
%meson -Dgtk-doc=true
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --all-name --with-gnome

%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT/%{_datadir}/metainfo/org.parlatype.Parlatype.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/org.parlatype.Parlatype.desktop


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.parlatype.Parlatype.desktop
%{_datadir}/dbus-1/services/org.parlatype.Parlatype.service
%{_datadir}/glib-2.0/schemas/org.parlatype.Parlatype.gschema.xml
%{_datadir}/icons/hicolor/
%{_datadir}/metainfo/org.parlatype.Parlatype.appdata.xml
%{_mandir}/man1/%{name}.1*

%files libs
%license COPYING
%doc README.md
%{_libdir}/libparlatype.so.*

%files devel
%license COPYING
%doc README.md
%{_includedir}/*
%{_libdir}/libparlatype.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jul 28 2020 FyB (Fredy Bird) <fyb AT null dev> - 2.1.0-2
- New Fedora package

